com.dlsc.flexgantt.model.treetable

## Interface ITreeTableModelListener

- All Superinterfaces:
    EventListener, TreeModelListener
  All Known Implementing Classes:
    AbstractRowHeader, LayerContainer, LayerContainerRowHeader, MacLayerContainerRowHeader, MacTreeTableRowHeader, TreeTable, TreeTableRowHeader

      public interface ITreeTableModelListener
      extends TreeModelListener

  A listener for tree table specific events. The listener extends the standard `TreeModelListener` interface with callback methods that will inform the application if the user edited a node's key value or some of its column values.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `treeNodeKeyChanged(TreeTableModelEvent evt)` Callback method that gets invoked if the user edited the key value of a tree table node.
    `void` | `treeNodeValueChanged(TreeTableModelEvent evt)` Callback method that gets invoked if the user edited a column value of a tree table node.

    - ### Methods inherited from interface javax.swing.event.TreeModelListener

      `treeNodesChanged, treeNodesInserted, treeNodesRemoved, treeStructureChanged`

- - ### Method Detail

    - #### treeNodeKeyChanged

          void treeNodeKeyChanged(TreeTableModelEvent evt)

      Callback method that gets invoked if the user edited the key value of a tree table node.
      Parameters:
        `evt` - the event fired by the tree table model
      Since:
        1.0
      See Also:
        `treeNodeValueChanged(TreeTableModelEvent)`

    - #### treeNodeValueChanged

          void treeNodeValueChanged(TreeTableModelEvent evt)

      Callback method that gets invoked if the user edited a column value of a tree table node.
      Parameters:
        `evt` - the event fired by the tree table model
      Since:
        1.0
      See Also:
        `treeNodeKeyChanged(TreeTableModelEvent)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.